# Get products

> GET /v1/products

Source: https://docs.trykintsugi.com/reference/get-products

API version: v1 (legacy API)

GET /v1/products

Get products

Retrieve a paginated list of products based on filters and search query.

Category: Products

Query parameters:
query (string) - Search term to filter products by name or other details.
status__in (string) - Filter products by status (comma-separated)
product_category__in (string) - Filter products by category (comma-separated)
product_subcategory__in (string) - Filter products by subcategory (comma-separated)
source__in (string) - Filter products by source (comma-separated)
connection_id__in (string) - Filter products by connection ID (comma-separated). Use __direct_api__ for products without a connection.
order_by (string) - Order results by specified fields (comma-separated)
page (integer)
size (integer)

Response fields:
items (ProductRead[], required)
  id (string, required)
  external_id (string, required)
  sku (string[], required)
  code (string, required)
  name (string, required)
  description (string, required)
  status (ProductStatusEnum, required)
    allowed values: APPROVED, PARTIALLY_APPROVED, PENDING, ARCHIVED
  product_category (string, required) - Main category of the product.
        For example, Physical, Digital, etc. You can
        retrieve supported categories from [GET /products/categories endpoint](/reference/api/products/get-product-categories)
  product_subcategory (string, required) - Tax subcategory display label of the product (e.g. 'General Clothing'). List supported values from [GET /products/categories](/reference/api/products/get-product-categories).
  tax_exempt (boolean, required)
  source (SourceEnum, required)
    allowed values: BIGCOMMERCE, BESTBUY, BUNNY, CHARGEBEE, SHOPIFY, SHOPLINE, ECWID, STRIPE, AMAZON, TIKTOK, CUSTOM, UNKNOWN (and 69 more, see the reference page)
  connection_id (string, required)
  classification_failed (boolean, required)
  store_name (string)
  source_taxonomy_type (string)
  source_taxonomy_code (string)
  source_taxonomy_id (string)
  source_taxonomy_name (string)
  source_taxonomy_categories (object[])
  source_taxonomy_metadata (object)
total (integer, required)
page (integer, required)
size (integer, required)
pages (integer, required)

Response statuses: 200, 401, 404, 422, 500

---

Index of every page: https://docs.trykintsugi.com/llms.txt
